
public class Employee extends Person
{
    private double salary;
    
    public Employee(String name, int yob, double salary) {
        super(name, yob);
        this.salary = salary;
    }
    
    public double getSalary() {
        return salary;
    }  
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Employee)) { // porusuje symetrii
        //if (this.getClass() != obj.getClass()) { // porusije Liskov substitution principle
            return false;
        }
        
        Employee empl = (Employee) obj;
        return salary == empl.salary && super.equals(obj);
    }
    
    public int hashCode() {
        int hash = 23;
        hash = hash * 31 + (new Double(salary)).hashCode();
        hash = hash * 31 + super.hashCode();
        return hash;
    }
}
